#permission-screen {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.4);
  -moz-transition: opacity 0.5s ease;
  pointer-events: none;
  display: none;
}

#screen:-moz-full-screen-ancestor > #permission-screen,
#screen.fullscreen-app #permission-screen,
#screen.lockscreen-camera #permission-screen {
  top: 0;
  height: 100%;
}

#screen.attention #permission-screen {
  top: 4rem;
  height: calc(100% - 4rem);
}

#permission-screen.visible {
  pointer-events: auto;
  display: inline-block;
}

#permission-dialog > div.inner {
  max-height: calc(100% - 5.6rem);
  overflow-y: scroll;
}

@media not all and (-moz-physical-home-button) {
  #screen:not(.software-button-disabled) #permission-screen {
    height: calc(100% - 2.4rem - 5rem);
  }

  #screen.attention:not(.software-button-disabled) #permission-screen {
    height: calc(100% - 4rem - 5rem);
  }

  #screen.fullscreen-app:not(.software-button-disabled) #permission-screen {
    height: calc(100% - 5rem);
  }
}

#screen.software-button-enabled #permission-screen {
  height: calc(100% - 2.4rem - 5rem);
}

#screen.software-button-enabled.attention #permission-screen {
  height: calc(100% - 4rem - 5rem);
}


#screen.software-button-enabled.fullscreen-app #permission-screen {
  height: calc(100% - 5rem);
}

#permission-title {
  padding: 1.2rem;
  font-size: 1.8rem;
  font-weight: normal;
  color: #ffffff;
  margin: 0;
  border-bottom: 0.1rem solid #686868;
}

#permission-message {
  margin: 0;
  padding-top: 1.2rem;
  padding-bottom: 1.2rem;
  font-size: 2.2rem;
  font-weight: lighter;
  font-style: italic;
  color: #dcdcdc;
  background-repeat: no-repeat;
  background-size: 6.4rem;
  background-position: 0 50%;
  word-wrap: break-word;
}

#permission-more-info-link.hidden {
  display: none;
}

#permission-hide-info-link.hidden {
  display: none;
}

#permission-more-info {
  margin-left: 1rem;
  padding-bottom: 1.2rem;
  font-size: 1.8rem;
}

#permission-more-info.hidden {
  display: none;
}

#permission-more-info a {
  color: white;
  outline: none;
}

#permission-more-info-box {
  margin-top: 1.2rem;
  margin-left: 1.2rem;
  max-height: 13rem; /* XXX: use magic calc(); expression instead */
  overflow-y: scroll;
}

#permission-more-info-box.hidden {
  display: none;
}

#permission-remember-section {
  font-size: 1.8rem;
  font-weight: lighter;
  color: #fbfbfb;
  display: none;
  padding: 1.2rem;
  border-bottom: 0.1rem solid #686868;
}

#permission-screen[data-type] #permission-remember-section {
  display: block;
}

#permission-screen[data-type] #permission-icon {
  display: inherit;
}

#permission-screen[data-type] #permission-message {
  padding-left: 7rem;
}

#permission-remember-section label {
  width: 2.8rem;
  height: 2rem;
  margin-top: -0.2rem;
}

#permission-device-selector {
  font-size: 1.8rem;
  font-weight: lighter;
  padding: 3rem 0 2rem 1.2rem;
}

#permission-device-selector.hidden {
  display: none;
}

#permission-devices {
  margin: 0;
  padding: 0;
}

#permission-devices li.device-cell {
  position: relative;
  list-style-type: none;
}

#permission-devices li.device-cell > a:active {
  background-color: rgba(52,140,158, .6);
}

#permission-devices li.device-cell label:active {
  background-color: transparent;
}

#permission-devices .deviceEnable {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
}

#permission-devices input[type="checkbox"] + span {
  position: absolute;
  top: 0.3rem;
  right: 1.5rem;
  margin: 0;
  background: url(images/alarm_off.png) no-repeat center top / 3.4rem;
  width: 3.4rem;
  height: 3.4rem;
}

#permission-devices input[type="checkbox"]:checked + span {
  border-color: #00acce;
  background: url(images/alarm_on.png) no-repeat center top / 3.4rem;
}

#permission-devices .device-list > input {
  display: none;
}

#permission-devices .device-item {
  padding: 1rem;
  display: block;
  font-weight: lighter;
  font-size: 1.8rem;
}

#permission-devices .device-item:active {
  background-color: transparent;
}

.device-item > span {
  pointer-events: none;
}

#permission-screen[data-type="geolocation"] #permission-message {
  background-image: url(images/PermissionsDialogIcons_Geolocation.png);
}

#permission-screen[data-type="fmradio"] #permission-message {
  background-image: url(images/PermissionsDialogIcons_FMRadio.png);
}

#permission-screen[data-type*="camera"] #permission-message {
  background-image: url(images/PermissionsDialogIcons_Camera.png);
}

#permission-screen[data-type*="wifi"] #permission-message {
  background-image: url(images/PermissionsDialogIcons_WifiInformation.png);
}

#permission-screen[data-type="contacts"] #permission-message {
  background-image: url(images/PermissionsDialogIcons_Contacts.png);
}

#permission-screen[data-type*="device-storage"] #permission-message {
  background-image: url(images/PermissionsDialogIcons_DeviceStorage.png);
}

#permission-screen[data-type="video-capture"] #permission-message {
  background-image: url(images/PermissionsDialogIcons_VideoRecorder.png);
}

#permission-screen[data-type="camera-selector"] #permission-message {
  background-image: url(images/PermissionsDialogIcons_VideoRecorder.png);
}

#permission-screen[data-type="audio-capture"] #permission-message {
  background-image: url(images/PermissionsDialogIcons_Microphone.png);
}

#permission-screen[data-type="media-capture"] #permission-message {
  background-image: url(images/PermissionsDialogIcons_VideoAndMic.png);
}
